# -*- coding: utf-8 -*-
from setuphelpers import *

"""
    Ghostscript doesn't have a silent installation anymore since version 10.0.1 so locked version to 10.0.0/
        https://artifex.com/news/ghostscript-10.01.0-disabling-silent-install-option

"""


def install():
    for gs in installed_softwares("Ghostscript"):
        if Version(gs["version"]) < Version(control.get_software_version()):
            killalltasks("gswin32.exe")
            cmd = uninstall_cmd(gs["key"])
            run(cmd)

    # Installing the package
    install_exe_if_needed(
        glob.glob("gs*w32.exe")[0],
        silentflags="/S",
        name="GPL Ghostscript",
        min_version=control.get_software_version(),
    )
